
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Truncated_tetrahedron()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 30 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "truncated_tetrahedron.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "12\t8\t36\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, "0.25 -0.75 0.25\n" );
    fprintf( fp, "-0.75 0.25 0.25\n" );
    fprintf( fp, "-0.25 -0.75 -0.25\n" );
    fprintf( fp, "-0.75 -0.25 -0.25\n" );
    fprintf( fp, "0.25 0.75 -0.25\n" );
    fprintf( fp, "0.25 0.25 -0.75\n" );
    fprintf( fp, "-0.25 -0.25 -0.75\n" );
    fprintf( fp, "-0.25 0.25 0.75\n" );
    fprintf( fp, "0.25 -0.25 0.75\n" );
    fprintf( fp, "-0.25 0.75 0.25\n" );
    fprintf( fp, "0.75 -0.25 0.25\n" );
    fprintf( fp, "0.75 0.25 -0.25\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "3 10 8 0\n" );
    fprintf( fp, "3 7 9 1\n" );
    fprintf( fp, "3 3 6 2\n" );
    fprintf( fp, "3 4 11 5\n" );
    fprintf( fp, "6 11 10 0 2 6 5\n" );
    fprintf( fp, "6 8 7 1 3 2 0\n" );
    fprintf( fp, "6 9 4 5 6 3 1\n" );
    fprintf( fp, "6 7 8 10 11 4 9\n" );

    fclose( fp );

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "truncated_tetrahedron.aoff" );
    fp = fopen( filename, "w" );

    fprintf( fp, "geometry\tindexed_poly\tfff\t\t%s\n", "truncated_tetrahedron.geom" );
    fprintf( fp, "connect_offset\tdefault\t\tf\t\t0\n" );

    fclose( fp );
}
