
#include "unix.h"

typedef struct _Point {
    double x, y, z;
} Point;

typedef struct vertex {            /* surface vertex */
    Point position, normal;        /* position and surface normal */
} VERTEX;

typedef struct vertices {          /* list of vertices in polygonization */
    int count, max;                /* # vertices, max # allowed */
    VERTEX *ptr;                   /* dynamically allocated */
} VERTICES;

typedef unsigned int list[3];

double (*ptr1)();
double (*ptr2)();
double (*ptr3)();

ParametricFunction( x, y, z, t, s, center )
char * x, * y, * z, * t, * s;
Point center;
{
    FILE	*fp, *fa, *fv;
    extern	char *filename;
    char	*aoff_filename;
    char	*vnorm_filename;
    char	*tmp_filename;
    int		i;
    char	*tmpstr = (char *)malloc(80);

    Point	max, min;
    float	max_val, min_val, floor_min, ceili_max;
    float	scale;
    float	interval, interval_start;

    extern double (*dfopen(char* expression))(double x, double y);

    matha2z();
    sprintf( tmpstr, "$(t,s)=%s", x );
    ptr1 = dfopen( tmpstr );
    sprintf( tmpstr, "$(t,s)=%s", y );
    ptr2 = dfopen( tmpstr );
    sprintf( tmpstr, "$(t,s)=%s", z );
    ptr3 = dfopen( tmpstr );

    dfcloseall();
}
